> For the complete documentation index, see [llms.txt](https://docs.aikynetix.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aikynetix.app/api-documentation.md).

# API Documentation

- [Quick Start](https://docs.aikynetix.app/api-documentation/quick-start.md)
- [Account Setup](https://docs.aikynetix.app/api-documentation/quick-start/account-setup.md): Welcome to AiKYNETIX AUTH
- [Subscriptions & Payment](https://docs.aikynetix.app/api-documentation/quick-start/subscriptions-and-payment.md)
- [API Key Creation](https://docs.aikynetix.app/api-documentation/quick-start/api-key-creation.md): Your API key is your gateway to integrating AiKYNETIX into your applications. Follow these simple steps to generate your key and start using our API!
- [API Key Management](https://docs.aikynetix.app/api-documentation/api-key-management.md)
- [API Overview & Authentication](https://docs.aikynetix.app/api-documentation/api-key-management/api-overview-and-authentication.md)
- [API Key Creation & Management](https://docs.aikynetix.app/api-documentation/api-key-management/api-key-creation-and-management.md): Your API key is your gateway to integrating AiKYNETIX into your applications. Follow these simple steps to generate your key and start using our API!
- [User Management](https://docs.aikynetix.app/api-documentation/user-management.md): The AiKYNETIX Web API provides a comprehensive set of endpoints to manage user accounts and related administrative tasks.
- [Video Upload & Processing Workflow](https://docs.aikynetix.app/api-documentation/video-upload-and-processing-workflow.md)
- [Uploading Videos via API](https://docs.aikynetix.app/api-documentation/video-upload-and-processing-workflow/uploading-videos-via-api.md): Uploading videos is the critical first step in the AiKYNETIX Video Upload & Processing Workflow. This guide outlines how to upload your video files via our REST API.
- [Processing Pipeline](https://docs.aikynetix.app/api-documentation/video-upload-and-processing-workflow/processing-pipeline.md): This page includes an overall picture of how your data is processed.
- [Error Handling & Retries](https://docs.aikynetix.app/api-documentation/video-upload-and-processing-workflow/error-handling-and-retries.md)
- [Retrieving Processed Videos](https://docs.aikynetix.app/api-documentation/retrieving-processed-videos.md)
- [Retrieval API Endpoints](https://docs.aikynetix.app/api-documentation/retrieving-processed-videos/retrieval-api-endpoints.md)
- [Handling Delays & Errors](https://docs.aikynetix.app/api-documentation/retrieving-processed-videos/handling-delays-and-errors.md)
- [Analytics](https://docs.aikynetix.app/api-documentation/retrieving-processed-videos/analytics.md): This page aggregates all endpoints related to retrieving reports, metrics, summaries, and recommendations for processed video sessions.
- [Developer Resources & API Reference](https://docs.aikynetix.app/api-documentation/developer-resources-and-api-reference.md)
- [Overview](https://docs.aikynetix.app/api-documentation/developer-resources-and-api-reference/overview.md): This pages provides the overall structure of our API.
- [API Reference](https://docs.aikynetix.app/api-documentation/developer-resources-and-api-reference/api-reference.md)
- [Client Management](https://docs.aikynetix.app/api-documentation/developer-resources-and-api-reference/api-reference/client-management.md): Overall user management
- [Managing All Sessions](https://docs.aikynetix.app/api-documentation/developer-resources-and-api-reference/api-reference/managing-all-sessions.md): Overall Session Management
- [Analyzed video](https://docs.aikynetix.app/api-documentation/developer-resources-and-api-reference/api-reference/analyzed-video.md): GET & POST requests to receive a link to an analyzed video
- [Running](https://docs.aikynetix.app/api-documentation/developer-resources-and-api-reference/api-reference/running.md)
- [Jumping](https://docs.aikynetix.app/api-documentation/developer-resources-and-api-reference/api-reference/jumping.md)
- [Weightlifting](https://docs.aikynetix.app/api-documentation/developer-resources-and-api-reference/api-reference/weightlifting.md)
- [Mobility Assessment](https://docs.aikynetix.app/api-documentation/developer-resources-and-api-reference/api-reference/mobility-assessment.md)
- [HTML Files](https://docs.aikynetix.app/api-documentation/developer-resources-and-api-reference/api-reference/html-files.md)
- [v.2](https://docs.aikynetix.app/api-documentation/developer-resources-and-api-reference/api-reference/v.2.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aikynetix.app/api-documentation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
